Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceClientAuthV4Request

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceRequest
          com.rsa.ace.techservice.udpserver.AbstractV4Request
              com.rsa.ace.techservice.udpserver.AbstractV4RequestWithPasscode
                  com.rsa.ace.techservice.udpserver.AceAuthV4Request
                      com.rsa.ace.techservice.udpserver.AceClientAuthV4Request

All Implemented Interfaces:
  AceRequest

    public class AceClientAuthV4Request

extends AceAuthV4Request

TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Nested Class Summary

Nested classes/interfaces inherited from class com.rsa.ace.techservice.udpserver.AbstractV4Request
`AbstractV4Request.MessageType`

Field Summary

Fields inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`NO_RESPONSE, QUEUE_RESPONSE, RESPOND_NOW`

Constructor Summary
`AceClientAuthV4Request(java.lang.String strUsername, java.lang.String strPin, java.lang.String strPrn, java.net.InetAddress clientAddress, AgentConfig agentConfig)`

Method Summary

Methods inherited from class com.rsa.ace.techservice.udpserver.AceAuthV4Request
`getNodeSecretRequested, getPacket, getResponse, getSecondarySegments, getWpCode, processRequest, toString, wpcodeValue`

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractV4RequestWithPasscode
`getDecryptedPasscode`

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceRequest
`getAcePinUtil, getAgentConfig, getBuffer, getCipherProvider, getCreationTime, getEncryptOffset, getHeader, getNonce, getProtocolVersion, getSecretKey, haveNodeSecret, haveSecretKey, readTrailer, setEncode, setEncryptOffset, setNodeSecret, setSecretKey, setTrailer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`getAgentConfig, getCipherProvider, getCreationTime, getHeader, getNonce, getProtocolVersion`

Constructor Detail

### AceClientAuthV4Request

    public AceClientAuthV4Request(java.lang.String strUsername,
                                  java.lang.String strPin,
                                  java.lang.String strPrn,
                                  java.net.InetAddress clientAddress,
                                  AgentConfig agentConfig)
                           throws AcePacketException

Throws:
  `AcePacketException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.